package com.usky.demo.service;

import com.usky.demo.domain.*;
import com.usky.common.mybatis.core.CrudService;

import java.util.List;
import java.util.Map;

/**
 * <p>
 *  服务类
 * </p>
 *
 * @author ya
 * @since 2024-07-29
 */
public interface QueryInfluxdbDataService extends CrudService<QueryInfluxdbData> {

    LastResultVO queryLastDeviceData(String productCode, String deviceId);

    List<LastResultVO> queryLastDeviceData(LastRequestVO requestVO);

    HistoryResultVO queryHistoryDeviceData(String productCode, String deviceId, String startTime, String endTime);

    List<HistoryResultVO> queryHistoryDeviceData(HistoryRequestVO requestVO);

    Map<String,Object> sendDeviceData(DeviceDataWriteVO writeVO);

}
